Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swing.addon.util
Class FileAccess

    java.lang.Object
      |
      +--swing.addon.util.FileAccess

public class FileAccess
extends java.lang.Object

Field Summary
`static int` | `READ`
`static int` | `WRITE`

Constructor Summary
`FileAccess(java.io.File f)`
`FileAccess(java.io.File f, int mode)`
`FileAccess(java.lang.String s)`
`FileAccess(java.lang.String s, int mode)`

Method Summary
`void` | `close()`
`void` | `finalize()`
`void` | `newLine()`
`java.lang.String` | `readLine()`
`java.lang.String` | `readLine(int number)`
`void` | `write(boolean c)`
`void` | `write(char c)`
`void` | `write(double c)`
`void` | `write(float c)`
`void` | `write(int c)`
`void` | `write(long c)`
`void` | `write(java.lang.String s)`
`void` | `writeLine(boolean c)`
`void` | `writeLine(char c)`
`void` | `writeLine(double c)`
`void` | `writeLine(float c)`
`void` | `writeLine(int c)`
`void` | `writeLine(long c)`
`void` | `writeLine(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### READ

    public static final int READ

### WRITE

    public static final int WRITE

Constructor Detail

### FileAccess

    public FileAccess(java.lang.String s)

### FileAccess

    public FileAccess(java.io.File f)

### FileAccess

    public FileAccess(java.io.File f,
                      int mode)

### FileAccess

    public FileAccess(java.lang.String s,
                      int mode)

Method Detail

### close

    public void close()

### finalize

    public void finalize()
                  throws java.lang.InterruptedException

  Overrides:
    `finalize` in class `java.lang.Object`
  Throws:
    `java.lang.InterruptedException` -

### newLine

    public void newLine()
                 throws java.io.IOException

### readLine

    public java.lang.String readLine()
                              throws java.io.IOException

### readLine

    public java.lang.String readLine(int number)
                              throws java.io.IOException

### write

    public void write(long c)
               throws java.io.IOException

### write

    public void write(java.lang.String s)
               throws java.io.IOException

### write

    public void write(int c)
               throws java.io.IOException

### write

    public void write(char c)
               throws java.io.IOException

### write

    public void write(float c)
               throws java.io.IOException

### write

    public void write(double c)
               throws java.io.IOException

### write

    public void write(boolean c)
               throws java.io.IOException

### writeLine

    public void writeLine(java.lang.String s)
                   throws java.io.IOException

### writeLine

    public void writeLine(char c)
                   throws java.io.IOException

### writeLine

    public void writeLine(int c)
                   throws java.io.IOException

### writeLine

    public void writeLine(long c)
                   throws java.io.IOException

### writeLine

    public void writeLine(float c)
                   throws java.io.IOException

### writeLine

    public void writeLine(double c)
                   throws java.io.IOException

### writeLine

    public void writeLine(boolean c)
                   throws java.io.IOException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD